Comment installer le décodeur MPEG-4 AAC et le décodeur H.264?

38

Où puis-je me procurer le décodeur MPEG-4 AAC et le décodeur H.264.

Comment les installer et lire le multimédia?

    
posée Balram Jamale 08.11.2012 - 04:21
la source

5 réponses

43
Le package

ubuntu-restricted-extras permet aux utilisateurs d’installer la possibilité de lire des formats multimédias populaires non gratuits, notamment les formats DVD, MP3, Quicktime et Windows Media.

Pour installer ubuntu-restricted-extras package:

  1. Ouvrez un terminal en appuyant sur Ctrl + Alt + T .

  2. Exécutez cette commande:

    sudo apt-get install ubuntu-restricted-extras
    
  3. Vous pouvez également installer le package via Software Center en le lançant via Dash et en effectuant une recherche dans le package et en cliquant sur Installer .

Essayez également d’installer libavcodec54 libav-tools et ffmpeg avec cette commande:

sudo apt-get install libavcodec54 libav-tools ffmpeg
    
réponse donnée Peachy 08.11.2012 - 05:11
la source
7

Le support pour décoder MPEG-4 AAC est fourni par gstreamer1.0-libav et pour décoder H.264 il y a gstreamr0.10-ffmpeg :

$ sudo apt-get install gstreamer1.0-libav gstreamer0.10-ffmpeg

Pour plus d'informations, consultez la Documentation Ubuntu .

    
réponse donnée webwurst 28.01.2014 - 12:29
la source
4

Malheureusement, aucune de ces options ne semble fonctionner sur Ubuntu 16.04. Je reçois un message python 3.5 pour rechercher MPEG-4 AAC dans l'une des vidéos que j'essaie de lire. Aucune des réponses ci-dessus ne corrige le codec manquant.

Une bonne solution consiste à installer VLC:

sudo apt-get install vlc

(ou du centre logiciel)

Mise à jour: trouvé un correctif:

sudo apt-get install gstreamer1.0-plugins-bad

Cela fait travailler le son pour Totem (Video)

Mise à jour: essayez d’accéder à «Logiciels & amp; Mises à jour et activation de la case à cocher "Logiciels limités par des droits d'auteur ou des problèmes juridiques". Permettez ensuite à Ubuntu de se mettre à jour après avoir cliqué sur le bouton Fermer. Vous devriez maintenant pouvoir lancer:

sudo apt-get install ubuntu-restricted-extras

Vous devez également accepter les termes et conditions du CLUF avant de continuer.

    
réponse donnée Vincent Gerris 05.12.2016 - 10:49
la source
1

Dans le dernier Ubuntu ver 14.04, 14.10, le meilleur moyen de les configurer est:

Pour installer ubuntu-restricted-extras package:

Ouvrez un terminal en appuyant sur Ctrl + Alt + T .

sudo add-apt-repository ppa:mc3man/trusty-media
sudo apt-get update
sudo apt-get install ffmpeg gstreamer0.10-ffmpeg libavcodec-extra-53 libavcodec53

et N-joy

    
réponse donnée A1Gard 03.04.2015 - 21:22
la source
1

Attention au bogue gstreamer audio uniquement

Seuls les enregistrements audio en lecture H.264 avec un écran vidéo noir ont été signalés comme gstreamer1.0 bug # 1562875 .

Heureusement, ce bogue peut facilement être résolu en émettant la commande suivante une fois:

$ rm -R ~/.cache/gstreamer-1.0

Cela prendra effet après le redémarrage de l'application.

    
réponse donnée Serge Stroobandt 30.10.2016 - 21:57
la source

Lire d'autres questions sur les étiquettes